Subject: Re: [PATCH net-next v1 18/21] net: phy: expose phy_aneg_done API for use by drivers

From: Andreas Larsson <[email-masked]>
Date: Tue, 08 Nov 2016 11:17:33 +0100

On 2016-11-07 16:01, Tom Lendacky wrote:
> On 11/03/2016 09:13 PM, kbuild test robot wrote:
>> Hi Tom,
>>
>> [auto build test ERROR on net-next/master]
>>
>> url:    https://github.com/0day-ci/linux/commits/Tom-Lendacky/amd-xgbe-AMD-XGBE-driver-updates-2016-11-01/20161103-222344
>> config: sparc-allyesconfig (attached as .config)
>> compiler: sparc64-linux-gnu-gcc (Debian 6.1.1-9) 6.1.1 20160705
>> reproduce:
>>          wget https://git.kernel.org/cgit/linux/kernel/git/wfg/lkp-tests.git/plain/sbin/make.cross -O ~/bin/make.cross
>>          chmod +x ~/bin/make.cross
>>          # save the attached .config to linux build tree
>>          make.cross ARCH=sparc
>>
>> All errors (new ones prefixed by >>):
>>
>>>> drivers/net/ethernet/aeroflex/greth.c:1293:19: error: static declaration of 'phy_aneg_done' follows non-static declaration
>>      static inline int phy_aneg_done(struct phy_device *phydev)
>>                        ^~~~~~~~~~~~~
>>     In file included from include/net/dsa.h:19:0,
>>                      from include/linux/netdevice.h:44,
>>                      from drivers/net/ethernet/aeroflex/greth.c:29:
>>     include/linux/phy.h:789:5: note: previous declaration of 'phy_aneg_done' was here
>>      int phy_aneg_done(struct phy_device *phydev);
>>          ^~~~~~~~~~~~~
>>
>> vim +/phy_aneg_done +1293 drivers/net/ethernet/aeroflex/greth.c
>>
>
> Hi Andreas/Kristoffer,
>
> Kbuild generated an error for this driver when I exposed the phylib
> phy_aneg_done() function in the first version of my patches.  For this
> driver, I have two choices:
>
>    - Remove the phy_aneg_done() function from the aeroflex driver and
>      have it use the phylib version which is now exported
>
>    - Rename the current phy_aneg_done() function in the aeroflex driver
>      and have the driver continue to use its version.
>
> I think the first option is the way to go, but I don't have a sparc
> machine on which to test it. Let me know which you would prefer and
> I will include that in the second version of the patch submission.

Hi Tom,

Yes, the first option is the way to go.

Best regards,
Andreas Larsson